# Remerciements {-} 
Je tiens tout particulièrement à remercier Mr Joël Cavat qui m’a présenté ce sujet et qui m’a suivi tout au long de ce projet. Il m’a permis de découvrir des outils intéressants et puissants.

Je remercie aussi mon père pour la relecture de ce rapport et les conseils qu’il m’a donnés pour l’écriture.

Merci à Mr. Théo Pirkl pour le template qu'il nous a mis à disposition pour la rédaction de nos travaux.

# Enoncé du sujet {-}
\vspace{-15mm}
\begin{center}
\textbf{\large{Orientation : Logiciels et systèmes complexes}}
\end{center}

**Descriptif :**
L'objectif du projet est de mettre à disposition une architecture distribuée à une communauté d'utilisateurs souhaitant réaliser leurs propres algorithmes décisionnels. L'architecture devra être décentralisée et permettre une communication asynchrone et non bloquante. Une API mettra à disposition les fonctionnalités et l'abstraction nécessaire à la réalisation d'agents. Plusieurs algorithmes devront être mis en œuvre pour prouver que l'utilisation de l'API est intuitive. Les stratégies à étudier seront l'IA symbolique (gofai) avec la logique floue, décisions aléatoires et algorithmes naïfs, l'apprentissage supervisé et non supervisé avec un algorithme génétique. Ce projet se focalise sur les traitements numériques, l’architecture logicielle et la mise à disposition d'API afin de permettre la comparaison de différentes stratégies d’IA. La réalisation proposera un toolkit aux personnes intéressées au développement d'algorithmes décisionnels.

**Travail demandé :**
Dans les limites du temps disponible, les tâches suivantes seront abordées :
\begin{itemize}
\setlength\itemsep{-0.5em}
\item Mise en œuvre d'un cluster Kafka pour la communication et la persistance des données
\item Récupération des données OHLC et asks/bids spécifiques à l'analyse boursière
\item Transformation des données pour proposer des signaux existants (moyennes glissantes, bandes de Bollinger, RSI, ...)
\item Mise à disposition d'une API ou DSL pour la réalisation de ses propres algorithmes
\item Mise en œuvre d'algorithmes de recommandation d'achat ou de vente d'actions
\item Visualisation des performances de n'importe quel agent en temps réel
\item Possibilité de gérer un portefeuille existant
\end{itemize}

\begin{tabular}{ p{3cm} p{1cm} p{1cm} p{6cm}  }
  \multicolumn{1}{l}{Candidat :}& & & \multicolumn{1}{l}{Professeur-e(s) responsable(s) :}\\
  \multicolumn{1}{l}{\textbf{Nicolas PASCHOUD}} & & & \multicolumn{1}{l}{\textbf{Cavat Joël / Albuquerque Paul}} \\
  \multicolumn{1}{l}{Filière d'études : ITI} & & & \multicolumn{1}{l}{Travail de Bachelor soumis à une convention de} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{stage en entreprise : non} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{Travail soumis à un contrat de confidentialité : non} \\
\end{tabular}

# Résumé {-}
\vspace{-12mm}
La quantité de données qui voyagent à travers internet est colossale et les marchés financiers font parmis de ceux qui en génèrent les plus. Ces marchés sont mondiaux, et des centaines voir des millions de personnes s'y connectent chaque jours afin de spéculer, vendre et acheter des actifs de différents types.
Sur ces marchés, seule une petite partie des acteurs s'avère être des intelligences artificielles très basiques qui jouent le rôle de stabilisateurs. Ces IA ont un impact peu negligeable sur l'évolution du cours grâce à leur rapidité de traitement. Il est parfois compliqué pour un humain d'analyser les différentes données d'un marché en un temps raisonnable. Les ordinateurs ont en revanche cette capacité de traitement et un algorithme pourrait être aussi efficace, voir meilleur qu'un humain.
Pour valider une telle théorie une grande quantité d'algorithmes devront être réalisés. Pour ce faire, il faut utiliser des outils innovants qui permmettent de repenser la manière dont les algorithmes sont développés. En se basant sur ces idées, des outils doivent être développés afin de permettre la création rapide d'algorithmes de quelconque complexité. Offrir un tel outil est l'objectif de ce projet, proposer une API et des outils de gestion permettant de créer et gérer des stratégies de trading. Cette API offrira la possibilité de créer des algorithmes de trading en traitant les informations d'une manière innovante. Elle permettra au développeur de se focaliser sur la création d'algorithmes et d'intelligences artificielles en lui offrant une infrastructure sur laquelle il pourra exécuter ces algorithmes sans avoir à se soucier de la complexité de déploiement.

\begin{figure}
  \vspace{.1cm}
  \begin{center}
    \includegraphics[width=3.8cm,height=3.8cm]{figs/front-logo.png}
  \end{center}
  \vspace{.25cm}
\end{figure}
\begin{tabular}{ p{3cm} p{1cm} p{1cm} p{6cm}  }
  \multicolumn{1}{l}{Candidat :}& & & \multicolumn{1}{l}{Professeur-e(s) responsable(s) :}\\
  \multicolumn{1}{l}{\textbf{Nicolas PASCHOUD}} & & & \multicolumn{1}{l}{\textbf{Cavat Joël / Albuquerque Paul}} \\
  \multicolumn{1}{l}{Filière d'études : ITI} & & & \multicolumn{1}{l}{Travail de Bachelor soumis à une convention de} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{stage en entreprise : non} \\
  \multicolumn{1}{l}{} & & & \multicolumn{1}{l}{Travail soumis à un contrat de confidentialité : non} \\
\end{tabular}


\pagebreak