\pagenumbering{arabic}

# Introduction {-}

La quantité de flux financiers qui voyagent à travers internet étant très grande, il est difficile de traiter chaque information. Aujourd'hui dans le trading, le gagnant est celui qui agis le plus rapidement possible au moment ou l'information arrive. Afin de traiter de telles quantités de données et offrir une vision globale du marché, les technologies du domaine de l'informatique peuvent offrir un avantage certain à celui qui les maîtrise correctement. Il faut cependant utiliser les bonnes technologies, celles capables de traiter de grandes quantités d'informations en des temps très courts.

L'objectif de ce projet est de concilier traitement de flux de données, architectures distribuées et intelligences artificielles afin d'offrir une plateforme de développement d'algorithmes. L'objectif de cette plateforme sera d'offrir un service sur lequel il sera possible de tester, déployer et analyser des stratégies de trading de différentes complexités.

Pour mettre à disposition une telle plateforme il faudra utiliser des technologies puissantes qui répondent à des besoins spécifiques. Ces outils devront être capables de traiter des flux de données importants. Leurs capacités à être distribués est un point crucial afin de permettre à ces stratégies d'être exécutées en continu. Ce critère permettra de gérer la montée en charge et de garantir un environnement d'exécution sûr.

Ce projet a pour but de mettre à disposition des utilisateurs une API ainsi qu'une architecture distribuée leur permettant de développer, tester et comparer des stratégies de trading. La plateforme mettra à disposition, différentes données boursières provenant de différents actifs grâce au système de stockage distribué Kafka développé par la fondation Apache Software. L'ensemble de l'API est créée à l'aide des libriaires Akka développées par Lightbend. Ces librairies permettent de créer des applications hautement concurentes, distribuées et résilientes basées sur un système de messagerie. Kafka aura pour but de distribuer les données aux acteurs Akka déployés sur un cluster.

L'ensemble du système est imaginé et conçu autour des concepts de traitement de flux de données numériques et des systèmes distribués afin d'offrir un système fiable.
Le produit final est une API ainsi qu'une architecture distribuée sur laquelle il est possible de créer et déployer des stratégies de trading. Ces stratégies seront déployés sur un cluster afin de garantir l'exécution conitnue des stratégies et ceci grâce à un support de la montée en charge et une forte tolérance aux pannes. Le service stocke et met à disposition des données boursières de différents actifs financiers. Ces données sont facilement récupérables grâce à l'API. Certains indicateurs techniques réputés sont à disposition des utilisateurs afin de manipuler les données facilement.

\pagebreak