# Etude de sujet : L'analyse boursière {-}
Avant de parler de la partie informatique du projet et de ce qui va être développé, il faut d'abord prendre connaissance du sujet autour duquel l'application est développé.
En effet, l'API qui sera développée tournera autour du monde de la financer et plus particulièrement du trading.

## Introduction à la finance et aux marchés financiers {-}
Les marchés financier sont des lieux d'échange d'actif tels que les monnaies, les actions, les matières premières ou encore récemment les crypto-monnaies. Ces marchés sont aujourd'hui à la base de l'économie mondiale et ils sont tous dépendants les uns des autres dans le contexte actuel de globalisation. Plus concrètement un marché financier est un lieu, de nos jours virtuel, dans lequel des personnes, institutions publiques ou entreprises privées créent de l'offre et de la demande. De part la différence des prix de l'offres et de la demande, ces différents acteurs créent de la valeur pour un actif donné. Il existe différents marchés sur lesquel différent types d'actifs sont échangés : [@kenton_financial_2020]
\begin{itemize}
\setlength\itemsep{-0.6em}
\item Marché des actions
\item Marché obligataire
\item Bourse de commerce
\item Marché monétaire
\item Produit dérivé financier
\item Marché à terme
\item Marché des changes ou FOREX
\item Marché des crypto-monnaies
\item Marché au comptant
\item Marché interbancaire
\end{itemize}

Tous ces marchés ont leurs spécificités et les actifs échangés sur ces marché sont tous différents. Le service fournira les données de seulement trois de ces marchés.

\newpage

### Le marché des changes {-}
Le marché des changes est l’un des marchés les plus importants dans le monde de la finance. Sur ce marché sont échangées les monnaies du monde entier. Il est d’une importance cruciale car les monnaies sont le cœur même de l’économie. Ce sont des marchés stable afin d'offrir aux pays et acteurs de leurs économies (ménages, entreprises) la possibilité d'investir de l'argent à l'étranger. Le marché des changes est le plus gros marché financier par volume echangé par jours et peut monter à une valeur de plus de 5 trillions de dollars en une journée.

### Le marché des actions {-}
Le marché des actions est le marché sur lequel les entreprises sont cotées. Chaque entreprise qui souhaite trouver des investisseurs se présente sur ce marché. Elles possèdent donc un nom d’actif qui est généralement défini par trois ou quatre lettres (TSLA, MSFT, SRAIL, etc.). Chaque entreprise cotée en bourse se trouve sur un seul marché. SIX par exemple, est l’entreprise gérant la bourse nationale Suisse. On y trouve les entreprises suisses les plus importantes comme Nestlé, ABB, Stadler Rail et bien d’autres. Pour pouvoir identifier sur quel marché ces entreprises se trouvent, elles sont généralement suivies par le nom de leur marché. Par exemple, l’entreprise Stadler Rail se trouvant dans la bourse Suisse est nommée SRAIL : SWX ou SWX indique la bourse suisse.

Grâce à ces marchés, les entreprises gagnent de l'argent qui leurs permettent de produire des produits ou services qu'ils proposent. Plus une entreprise est prometteuse et fournit de bon produits ou services, plus les investisseurs la valoriseront et la valeur de son actif grimpera.

### Le marché des crypto-monnaies {-}
Le marché des crypto-monnaies est le plus jeune marché financier. C'est sur ce marché que les monnaies et actifs numériques sont échangés. Ces actifs ont la particularité de ne pas être physiquement réels, ils sont virtuels.

\newpage

## OHLC et volume {-}
La structure OHLC ou Open High Low Close est utilisée pour représenter les prix d’un cours. Cette structure permet de représenter sur une période donnée, les échanges qui ont eu lieu sur un actif [@mitchell_ohlc_2019]. Elle comprend 4 éléments principaux :
\begin{itemize}
\item Open : Open est sur une période donnée, le prix d’ouverture du cours.
\item High : High est la valeur la plus élevée que le cours ait atteint durant une période donnée.
\item Low : Low est la valeur la plus basse que le cours ait atteint durant une période donnée
\item Close : Close est le prix que le cours a atteint à la fermeture de la période.
\end{itemize}

Sur le graphique d’un cours, cette structure est représentée à l’aide du schéma candlestick.

\cimg{figs/candlestick.png}{scale=0.2}{Exemple de candlestick représentant la structure OHLC}{Source : investopedia.com \url{https://www.investopedia.com/trading/candlestick-charting-what-is-it/}, ref. URL02 }

Le candlestick, ou chandelier japonais, est un élément graphique qui permet de représenter la structure OHLC sur le graphique d’un cours. Il est généralement de deux couleurs, rouge et vert. Ces couleurs permettent de représenter les variations du prix par rapport à la dernière unité de temps.

\newpage
\cimg{figs/candlestick-chfusd.png}{scale=0.4}{Exemple de candlestick sur le cours du Franc suisse face au Dollar}{Source : forexlive.org \url{https://forexlive.org/pair/usd-chf/}, ref. URL03 }

On peut au travers de cet exemple se représenter plus facilement ce qu'il s'est passé sur cet actif durant les dernières 24 heures de trading.

Le volume échangé est une informations complémentaire à l'OHLC et apporte des données intéressante au trader. Elle représente la quantité de contrats ou d’actions échangées entre un acheteur et un vendeur durant une période de temps donnée. Par exemple, lorsque cinq transactions sont effectuées en l'espace d'une minute, le volume sera égal à cinq. Différents indicateurs techniques se basent sur le volume pour déterminer l'évolution et les tendances d'un marché.

## Order Book {-}
Un Order book est une liste électronique d'ordres d'achat et de vente d'un certain actif financier organisé en niveau de prix. Il répertorie l'ensemble des ordres d'achat et de vente et permet d'identifier les acteurs du marché derrière chaque ordre. [@kenton_order_2020]

\cimg{figs/order-book-kraken-btcusd.png}{scale=0.45}{Exemple d'order book sur la plateforme Kraken pour l'actif Bitcoin / Dollar}{Source : kraken.com \url{https://trade.kraken.com/fr-fr/charts/KRAKEN:BTC-USD}, ref. URL01}

Ce book est très utile pour les traders et institutions ayant une certaine capacité de traitement des données. En effet, en identifiant les entités actives sur un marché, il est possible de reconnaître leurs comportements et donc de les contrer. C'est un avantage conséquent que de connaître les faits et gestes de ses adversaires, cela permet d'anticiper leurs actions afin de les contrer ou d'agir en même temps qu'eux.

Les Order Book contiennent des informations précieuse mais difficile à traiter pour un humain. En ayant les bonnes informations, il est possible pour une intelligence artificielle d'apprendre le comportement d'une entité d'un marché et de faire des recommandations d'achat.

## L'analyse technique {-}
L’analyse technique est, dans le domaine de la finance, l’étude du cours d’un actif. Cette étude passe par de l’analyse statistique se basant sur l’historique de prix et du volume échangé. Elle est à la base du trading et fournit aux traders des informations cruciales qui leurs permettent de prédire les tendances des marchés. Elle forme la base théorique et pratique du métier de trader.

Pour prédire l'évolution du marché, le trader utilise des outils statistiques se basant sur les données historique du cours. Ces outils se basent sur les données du cours comme l' (+OHLC_a) et le volume pour ne citer qu'eux.
Il existe différents type d'indicateurs donnant diverse informations au trader.
\begin{itemize}
\item Indicateurs de tendances
\item Modèles graphiques
\item Indicateurs de momentum et de volume
\item Oscillateurs
\item Moyennes mobiles
\item Support et résistances
\end{itemize}

### Supports et résistances {-}
Les supports et résistances sont deux outils extrêmement utilisés par les traders. Elles indiquent un prix limite au-dessus / dessous duquel la tendances s'accélerera.

Un support est une ligne imaginaire placée sur le graphique. Elle a pour but d’indiquer un prix limite à partir duquel le cours poursuivra sa chute si elle est dépassée. Le support est utilisé comme "stop loss", c'est à dire une sécurité qui empêche de perdre trop d'argent.

\cimg{figs/support.png}{scale=0.4}{Exemple de support}{Source : investopedia.com \url{https://www.investopedia.com/trading/support-and-resistance-basics/}, ref. URL04 }

Dans cet exemple on aperçoit que le cours a énormément de peine à passer en-dessous de la valeur du support. C'est dans ce cas un bon indicateur d'achat pour le trader.

\newpage

A l’inverse du support, la résistance est fixée vers la valeur limite supérieur du cours. Si cette limite est franchie, le cours aura tendance à continuer sa progression à la hausse. La résistance est aussi utilisé comme "take profit", une sécurité qui permet au trader de faire du gain sans risque.

\cimg{figs/resistance.png}{scale=0.4}{Exemple de résistance}{Source : investopedia.com \url{https://www.investopedia.com/trading/support-and-resistance-basics/}, ref. URL04 }

Dans cet exemple, le cours a beaucoup de peine à passer au-dessus de la valeur de la résistance. Le trader peut l'utiliser afin de vendre au plus haut et faire un maximum de bénéfice.

\newpage

### Les indicateurs de momentum et de volumes {-}
Les indicateurs de momentum sont des outils de mesure de vélocité. Ils mesurent la vitesse à laquelle les prix varient sur un cours. L’indicateur mesure le ratio de chute ou hausse des prix d’un actif

L’outil le plus utilisé dans l’analyse de momentum est le RSI ou Relative Strentgh Index. Le RSI est un indicateur qui permet de connaître la force et la dynamique d’un cours. Il est calculé à l’aide du gain et des pertes à chaque clôture dans une période de temps donnée. La valeur du RSI est toujours comprise entre 0 et 100.

\cimg{figs/rsi.png}{scale=0.5}{Exemple de RSI (graphique inférieur)}{Source: investopedia.com \url{https://www.investopedia.com/terms/r/rsi.asp}, ref. URL06}

Dans cet exemple, deux lignes ont été posée sur les valeurs 30% et 70%, elles représentent des limites à partir des quels l'actif est sur ou sous évalué. Il y aura à ces moments la des changements de tendances et ces niveaux servent de déclencheurs pour le trader.

\newpage

L'indicateur (+OBV_a), est un indicateur de momentum se basant sur le volume afin prédire les changements de prix d'un actif. On l'utilise principalement sur les actifs du marché des actions. [@hayes_balance_2019]

\cimg{figs/obv.png}{scale=0.25}{Exemple d'OBV}{Source : investopedia.com \url{https://www.investopedia.com/terms/o/onbalancevolume.asp}, ref. URL05}

La théorie derrière l’OBV est basée sur la différenciation entre les investisseurs institutionnels et les investisseurs particuliers moins compétant et moins au courant du système. Le volume entraîne le prix à la hausse, les gros investisseurs vont donc vendre et les plus petits investisseurs vont acheter. Les trader font un lien entre prix et volume.

\pagebreak

### Les indicateurs de tendances {-}
Les indicateurs de tendance sont des outils permettant de prédire l’évolution du marché. Ils indiquent au trader la tendance du marché en se basant sur l’historique du cours.
Les moyennes mobiles sont les outils les plus utilisés dans l'analyse de tendance. 
Une moyenne mobile indique au trader la moyenne du cours sur un certain nombre de jours (20, 50 ou 150 jours). Elle représente donc le prix moyen d’un actif sur une période de temps donnée. Elle se calcule généralement à partir du prix de clôture de chaque période de temps et indique donc le prix moyen auquel l’actif a clôturé. Cette moyenne est mobile, cela veut dire qu’elle évolue à chaque nouvelle clôture du cours. Elles sont souvent utilisée en tant que support ou résistance.

\cimg{figs/ma.png}{scale=0.5}{Exemple de moyenne mobile}{Source: investopedia.com \url{https://www.investopedia.com/terms/g/goldencross.asp}, ref. URL07}

Ce graphique présente deux moyennes mobiles, l'une sur 200 jours et l'autre sur 50 jours. La première est dites, de par le nombre de période choisi, longue et la secondes courte. Il est fréquent d'utiliser deux moyennes mobiles comme dans l'exemple ci-dessus car cela permet de voir ou la tendance va s'inverser.

Dans ce cas on aperçoit un point nommé "Golden cross". Ces points de croisement entre les différentes moyennes mobiles servent de declencheur et indique au trader la tendance du marché et le type de mouvement à effectuer.

\newpage

La (+MACD_a) permet de repérer les points vers lesquels la tendance risque de s’accélérer. Elle est calculée sur de longues périodes (entre 12 et 26 jours). La MACD s’obtient en faisant la différence entre une EMA de 26 jours et une EMA de 12 jours.

\cimg{figs/macd.png}{scale=0.5}{Exemple de MACD}{Source: investopedia.com \url{https://www.investopedia.com/terms/m/macd.asp}, ref. URL09}

Dans cette exemple, la MACD a un coup d'avance sur le cours. En effet, après le croisement des deux MACD, le prix du cours a commencer à chuter jusqu'à ce qu'elles se recroisent pour inverser la tendance à nouveau.


### Les indicateurs de volatilité {-}
En bourse, la volatilité d’un actif indique l’ampleur de variation du cours. Cette information permet de connaître la stabilité du cours. Les gains augmente avec une grande volatilité.

Les bandes de Bollinger est un outil réputé en tant qu'indicateur de volatilité. Il est constitué de trois bandes :

\begin{itemize}
\setlength\itemsep{-0.6em}
\item Une bande supérieure
\item Une bande centrale
\item Une bande inférieure
\end{itemize}

Les trois bandes sont calculées à l’aide de (+MA_a). La bande centrale est une simple (+MA_a). En ce qui concerne les deux autres bandes, un simple décalage est appliqué au calcul de la moyenne afin d’avoir une zone de taille variable. Ce calcul permet d'afficher une zone de taille dynamique dans laquelle évolue le cours. Plus ces bandes s'éloignent les unes des autres, plus la volatilité est grande et plus il sera facile de faire du bénéfice rapidement.

\newpage
\cimg{figs/bollinger.png}{scale=0.25}{Exemple de bande de Bollinger sur le cours BTC/EUR}{Source : trade.kraken.com \url{https://trade.kraken.com/fr-fr/markets/kraken/btc/eur/1m}, ref. URL08}

Les bandes de Bollinger suivent donc le cours. Lorsque le cours est stable, les bandes se rapprochent et restent à distance égale les unes des autres.

\cimg{figs/bollinger2.png}{scale=0.25}{Exemple de bande de Bollinger avec forte volatilité sur le cours BTC/EUR}{Source : trade.kraken.com \url{https://trade.kraken.com/fr-fr/markets/kraken/btc/eur/1m}, ref. URL08}

Ici, on observe le comportement des bandes lorsque le cours repart à la hausse. Plus le cours varie, plus l’espace entre les bandes s’intensifie.

## Synthèse {-}
Il existe beaucoup de méthodes et informations qui permettent à un trader d'analyser un marché et de prédire au mieux sont évolution. Passant de l'outil graphique aux chiffres, il a à sa disposition bon nombre d'outils lui permettant de faire ces analyses et il lui faut choisir les bons outils.
Ce qu'on peut retenir d'intéressant sur les indicateurs techniques, c'est leur capacité à se déclencher dans diverse situations. Ces événements déclencheurs pourront être utiles plus tard lors du développement de stratégies de trading.

\pagebreak